﻿Imports System.IO

Public Class Form1

    Dim alunos As New ArrayList
    Dim nomeArquivoSoap As String = "aluno.soap"
    Dim nomeArquivoBinario As String = "aluno.bin"

    Private Sub btnIncluir_Click(sender As Object, e As EventArgs) Handles btnIncluir.Click
        lbAlunos.Items.Add(txtNome.Text)
        alunos.Add(txtNome.Text)
        txtNome.Text = ""
        grpAcao.Enabled = True
    End Sub

    Private Sub btnSerializar_Click(sender As Object, e As EventArgs) Handles btnSerializar.Click
        If rdbSOAP.Checked Then
            If File.Exists(nomeArquivoSoap) Then
                File.Delete(nomeArquivoSoap)
            End If
            Try
                Servicos.SoapSerialize(alunos, nomeArquivoSoap)
                MessageBox.Show("Arquivo " & nomeArquivoSoap & " serializado com sucesso")
            Catch ex As Exception
                MessageBox.Show(ex.Message)
            End Try
        Else
            If File.Exists(nomeArquivoBinario) Then
                File.Delete(nomeArquivoBinario)
            End If
            Try
                Servicos.BinarySerialize(alunos, nomeArquivoBinario)
                MessageBox.Show("Arquivo " & nomeArquivoBinario & " serializado com sucesso")
            Catch ex As Exception
                MessageBox.Show(ex.Message)
            End Try
        End If

    End Sub

    Private Sub btnDeserializar_Click(sender As Object, e As EventArgs) Handles btnDeserializar.Click
        If rdbSOAP.Checked Then
            If File.Exists(nomeArquivoSoap) Then
                Dim listaSoap As ArrayList = Servicos.SoapDeserialize(nomeArquivoSoap)
                For Each aluno As String In listaSoap
                    txtResultadoDeserializacao.Text += aluno & vbTab
                Next
            Else
                MessageBox.Show("Arquivo " & nomeArquivoSoap & " não existe")
            End If
        Else
            If File.Exists(nomeArquivoBinario) Then
                Dim listaBinaria As ArrayList = Servicos.BinaryDeserialize(nomeArquivoBinario)
                For Each aluno As String In listaBinaria
                    txtResultadoDeserializacao.Text += aluno & vbTab
                Next
            Else
                MessageBox.Show("Arquivo " & nomeArquivoBinario & " não existe")
            End If
        End If
    End Sub
End Class
